Set an application's fee state as not paid

Resets an application fee to not_paid, reversing a previous paid or waived status.

Path Parameters
  • application_id
    Type: string
    required

    Unique identifier of the application.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for post/apis/applics/applics/{application_id}/fees/unpay
curl https://school.fullfabric.cloud/apis/applics/applics/507f1f77bcf86cd799439011/fees/unpay \
  --request POST \
  --header 'FF-Auth: YOUR_SECRET_TOKEN'
{
  "amount": 10000,
  "currency": "GBP",
  "subtotal": 10000,
  "total_discount": 0,
  "total": 10000,
  "discounts": [],
  "paid_at": null,
  "waived_at": null,
  "restarted_at": null,
  "waived_by": null,
  "paid_by": null,
  "restarted_by": null,
  "transaction": null,
  "state": "not_paid"
}